Ошибка Gradle после обновления до версии Android Studio 2.0 и использования Instant Run:

Когда я пытаюсь запустить свой проект, который отлично работает на Android Studio 1.5, я получаю следующую ошибку:

Error:Access to the dex task is now impossible, starting with 1.4.0 1.4.0 introduces a new Transform API allowing manipulation of the .class files. See more information: http://tools.android.com/tech-docs/new-build-system/transform-api 

Я видел здесь несколько вопросов относительно этой ошибки, но все они отвечают за понижение градиента до версии 1.3, что я не могу сделать с новой версией Android Studio и Instant Run.

Есть ли еще одно решение этой проблемы?

Заранее спасибо.

Я смог решить это, увеличив максимальный размер кучи в моем build.gradle, добавив это к вашему закрытию Android:

  dexOptions { javaMaxHeapSize "4g" } 

Не уверен, что он должен делать с новым api